org.richfaces.component

## Class AbstractDropTarget

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - org.richfaces.component.AbstractDropTarget

- All Implemented Interfaces:
    EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

      public abstract class AbstractDropTarget
      extends javax.faces.component.UIComponentBase

  The <rich:dropTarget> component can be added to a component so that the component can accept dragged items. The dragged items must be defined with a compatible drop type for the <rich:dragSource> component.

  Author:
    abelevich

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractDropTarget()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addDropListener(org.richfaces.event.DropListener listener)`
    `void` | `broadcast(javax.faces.event.FacesEvent event)`
    `abstract Object` | `getAcceptedTypes()` A list of drag zones types, which elements are accepted by a drop zone
    `abstract Object` | `getData()`
    `org.richfaces.event.DropListener[]` | `getDropListeners()`
    `abstract Object` | `getDropValue()` Data to be processed after a drop event
    `abstract Object` | `getExecute()`
    `abstract String` | `getOnbeforedomupdate()`
    `abstract String` | `getOnbegin()`
    `abstract String` | `getOncomplete()`
    `abstract Object` | `getRender()`
    `abstract String` | `getStatus()`
    `abstract boolean` | `isBypassUpdates()`
    `abstract boolean` | `isImmediate()`
    `abstract boolean` | `isLimitRender()`
    `void` | `queueEvent(javax.faces.event.FacesEvent event)`
    `void` | `removeDropListener(org.richfaces.event.DropListener listener)`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getFamily, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AbstractDropTarget

          public AbstractDropTarget()

  - ### Method Detail

    - #### getDropValue

          public abstract Object getDropValue()

      Data to be processed after a drop event

    - #### isImmediate

          public abstract boolean isImmediate()

    - #### isBypassUpdates

          public abstract boolean isBypassUpdates()

    - #### getExecute

          public abstract Object getExecute()

    - #### getRender

          public abstract Object getRender()

    - #### getAcceptedTypes

          public abstract Object getAcceptedTypes()

      A list of drag zones types, which elements are accepted by a drop zone

    - #### isLimitRender

          public abstract boolean isLimitRender()

    - #### getData

          public abstract Object getData()

    - #### getStatus

          public abstract String getStatus()

    - #### getOnbeforedomupdate

          public abstract String getOnbeforedomupdate()

    - #### getOncomplete

          public abstract String getOncomplete()

    - #### getOnbegin

          public abstract String getOnbegin()

    - #### addDropListener

          public void addDropListener(org.richfaces.event.DropListener listener)

    - #### getDropListeners

          public org.richfaces.event.DropListener[] getDropListeners()

    - #### removeDropListener

          public void removeDropListener(org.richfaces.event.DropListener listener)

    - #### queueEvent

          public void queueEvent(javax.faces.event.FacesEvent event)

      Overrides:
        `queueEvent` in class `javax.faces.component.UIComponentBase`

    - #### broadcast

          public void broadcast(javax.faces.event.FacesEvent event)
                         throws javax.faces.event.AbortProcessingException

      Overrides:
        `broadcast` in class `javax.faces.component.UIComponentBase`
      Throws:
        `javax.faces.event.AbortProcessingException`

Copyright © 2012 JBoss by Red Hat. All Rights Reserved.